#ifndef LOBBY_H
#define LOBBY_H

#include <iostream>

#include "Player.h"

class Lobby
{
public:
  Lobby();
  Lobby(unsigned int cap);
  int getAverage();
  unsigned int getCapacity() { return capacity; }
  unsigned int getSize() { return size; }
  void addPlayer(Player p);
  void display();
private:
  unsigned int capacity;
  unsigned int size;
  unsigned int rankSum;
  Player players[];
};

#endif //LOBBY_H
